Skip to main content
`Ctrl`+`K`

# PetscLogStateEventSetCollective

Set the collective nature of a logging event

## Synopsis

    #include "petsclog.h"
    PetscErrorCode PetscLogStateEventSetCollective(PetscLogState state, PetscLogEvent event, PetscBool collective)

Logically collective

## Input Parameters

- state - a `PetscLogState`

- event - a registered `PetscLogEvent`

- collective - if `PETSC_TRUE`, MPI processes synchronize during this event, and `PetscLogHandlerEventSync()` can be used to help measure the delays between when the processes begin the event

## Note

This is called for the global state (`PetscLogGetState()`) in `PetscLogEventSetCollective()`.

## See Also

Profiling, `PetscLogState`, `PetscLogEventRegister()`

## Level

developer

## Location

src/sys/logging/state/logstate.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages